
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <title>IconFont</title>
    <link rel="stylesheet" href="demo.css">
    <link rel="stylesheet" href="iconfont.css">
</head>
<body>
    <div class="main">
        <h1>IconFont 图标</h1>
        <ul class="icon_lists clear">
            
                <li>
                <i class="icon iconfont">&#xe604;</i>
                    <div class="name">cancel</div>
                    <div class="code">&amp;#xe604;</div>
                    <div class="fontclass">.cancel</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe605;</i>
                    <div class="name">check-circle</div>
                    <div class="code">&amp;#xe605;</div>
                    <div class="fontclass">.checkcircle</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe618;</i>
                    <div class="name">arrow-back</div>
                    <div class="code">&amp;#xe618;</div>
                    <div class="fontclass">.arrowback</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe61d;</i>
                    <div class="name">clear</div>
                    <div class="code">&amp;#xe61d;</div>
                    <div class="fontclass">.clear</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe620;</i>
                    <div class="name">done</div>
                    <div class="code">&amp;#xe620;</div>
                    <div class="fontclass">.done</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe627;</i>
                    <div class="name">favorite-outline</div>
                    <div class="code">&amp;#xe627;</div>
                    <div class="fontclass">.favoriteoutline</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe628;</i>
                    <div class="name">favorite</div>
                    <div class="code">&amp;#xe628;</div>
                    <div class="fontclass">.favorite</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe62a;</i>
                    <div class="name">keyboard-arrow-left</div>
                    <div class="code">&amp;#xe62a;</div>
                    <div class="fontclass">.keyboardarrowleft</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe62b;</i>
                    <div class="name">keyboard-arrow-right</div>
                    <div class="code">&amp;#xe62b;</div>
                    <div class="fontclass">.keyboardarrowright</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe62c;</i>
                    <div class="name">keyboard-arrow-up</div>
                    <div class="code">&amp;#xe62c;</div>
                    <div class="fontclass">.keyboardarrowup</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe630;</i>
                    <div class="name">receipt</div>
                    <div class="code">&amp;#xe630;</div>
                    <div class="fontclass">.receipt</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe60b;</i>
                    <div class="name">home</div>
                    <div class="code">&amp;#xe60b;</div>
                    <div class="fontclass">.home</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe60a;</i>
                    <div class="name">search</div>
                    <div class="code">&amp;#xe60a;</div>
                    <div class="fontclass">.search</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe609;</i>
                    <div class="name">event</div>
                    <div class="code">&amp;#xe609;</div>
                    <div class="fontclass">.event</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe607;</i>
                    <div class="name">crop-free</div>
                    <div class="code">&amp;#xe607;</div>
                    <div class="fontclass">.cropfree</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe606;</i>
                    <div class="name">circles-extended</div>
                    <div class="code">&amp;#xe606;</div>
                    <div class="fontclass">.circlesextended</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe603;</i>
                    <div class="name">camera</div>
                    <div class="code">&amp;#xe603;</div>
                    <div class="fontclass">.camera</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe602;</i>
                    <div class="name">call</div>
                    <div class="code">&amp;#xe602;</div>
                    <div class="fontclass">.call</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe60c;</i>
                    <div class="name">list</div>
                    <div class="code">&amp;#xe60c;</div>
                    <div class="fontclass">.list</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe60d;</i>
                    <div class="name">message</div>
                    <div class="code">&amp;#xe60d;</div>
                    <div class="fontclass">.message</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe60f;</i>
                    <div class="name">settings</div>
                    <div class="code">&amp;#xe60f;</div>
                    <div class="fontclass">.settings</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe610;</i>
                    <div class="name">settings1</div>
                    <div class="code">&amp;#xe610;</div>
                    <div class="fontclass">.settings1</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe611;</i>
                    <div class="name">shopping-cart</div>
                    <div class="code">&amp;#xe611;</div>
                    <div class="fontclass">.shoppingcart</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe613;</i>
                    <div class="name">undo</div>
                    <div class="code">&amp;#xe613;</div>
                    <div class="fontclass">.undo</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe616;</i>
                    <div class="name">erweima</div>
                    <div class="code">&amp;#xe616;</div>
                    <div class="fontclass">.erweima</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe66e;</i>
                    <div class="name">cancel-squared</div>
                    <div class="code">&amp;#xe66e;</div>
                    <div class="fontclass">.cancelsquared</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe606;</i>
                    <div class="name">message</div>
                    <div class="code">&amp;#xe606;</div>
                    <div class="fontclass">.message1</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe6c6;</i>
                    <div class="name">消息</div>
                    <div class="code">&amp;#xe6c6;</div>
                    <div class="fontclass">.xiaoxi</div>
                </li>
            
                <li>
                <i class="icon iconfont">&#xe608;</i>
                    <div class="name">选择</div>
                    <div class="code">&amp;#xe608;</div>
                    <div class="fontclass">.xuanze</div>
                </li>
            
        </ul>


        <div class="helps">
            第一步：使用font-face声明字体
            <pre>
@font-face {font-family: 'iconfont';
    src: url('iconfont.eot'); /* IE9*/
    src: url('iconfont.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
    url('iconfont.woff') format('woff'), /* chrome、firefox */
    url('iconfont.ttf') format('truetype'), /* chrome、firefox、opera、Safari, Android, iOS 4.2+*/
    url('iconfont.svg#iconfont') format('svg'); /* iOS 4.1- */
}
</pre>
第二步：定义使用iconfont的样式
            <pre>
.iconfont{
    font-family:"iconfont" !important;
    font-size:16px;font-style:normal;
    -webkit-font-smoothing: antialiased;
    -webkit-text-stroke-width: 0.2px;
    -moz-osx-font-smoothing: grayscale;}
</pre>
第三步：挑选相应图标并获取字体编码，应用于页面
<pre>
&lt;i class="iconfont"&gt;&amp;#x33;&lt;/i&gt;
</pre>
        </div>

    </div>
</body>
</html>
